from sympy import *

# cast
y, t = symbols('y t')
f = symbols('f', cls=Function)

# equation
deq = Eq(f(t).diff(t, 2) + 2 * f(t).diff(t, 1) + 4 * f(t), 2 * sin(t))
print()
pprint(deq)

# solution
sol = dsolve(deq, f(t))
print()
pprint(sol)

# verification
s = sol.rhs
ver = deq.subs(f(t), s)
ver = ver.doit()
ver = ver.expand()
print()
pprint(ver)

